# norootforbuild

%if 0%{?suse_version} >= 1030
%define with_gst 1
%else
%define with_gst 0
%endif
%define _prefix		/usr
%define gst_branch	0.10
%define _name2		libschroedinger

Name:			libschroedinger-1_0-0
Version:		1.0.7
Release:		15.12
Summary:		Library for decoding and encoding video in the Dirac format
Group:			System/Libraries
License:		LGPL-MIT-MPL
URL:			http://www.diracvideo.org
Source:			http://www.diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	docbook-dsssl-stylesheets
BuildRequires:	docbook-xsl-stylesheets
BuildRequires:	gamin-devel
BuildRequires:	gcc-c++
%if %with_gst
%if 0%{?suse_version} >= 1030
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	gstreamer-0_10-plugins-base-devel
%else
BuildRequires:	gstreamer010-devel
BuildRequires:	gstreamer010-plugins-base-devel
%endif
%endif
BuildRequires:	gtkdoc
BuildRequires:	liboil-devel >= 0.3.16
#BuildRequires:	mDNSResponder-lib
BuildRequires:	pkgconfig
BuildRequires:	sgml-skel
BuildRequires:	valgrind
Provides:		libschroedinger0_1 = 0.6.1
Obsoletes:		libschroedinger0_1 <= 0.6.1
# old packman name
Provides:		libschroedinger0 = 1.0.7
Obsoletes:		libschroedinger0 <= 1.0.7

Requires:		liboil-0_3-0 >= 0.3.16

%description
Library for decoding and encoding video in the Dirac format. It is implemented
in ANSI C and optimized through the us of liboil. libschro is written as a
collaboartion between the BBC Research and Development, David Schleef and Fluendo.

This package contains also a gstreamer plugin for libschroedinger.

%package -n libschroedinger-devel
Summary:	libschroedinger development files and static libraries
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}-%{release}
%if %with_gst
%if 0%{?suse_version} >= 1030
Requires:	gstreamer-0_10-devel
Requires:	gstreamer-0_10-plugins-base-devel
%else
Requires:	gstreamer010-devel
Requires:	gstreamer010-plugins-base-devel
%endif
%endif
Requires:	liboil-devel >= 0.3.16

%description -n libschroedinger-devel
libschroedinger-devel contains the files needed to build packages that depend
on libschroedinger.

%if %with_gst
%if 0%{?suse_version} >= 1030
%package -n gstreamer-0_10-schroedinger
%else
%package -n gstreamer010-schroedinger
%endif
Summary:	libschroedinger - gstreamer-plugin
Group:		System/Libraries
%if 0%{?suse_version} >= 1030
Requires:	gstreamer-0_10
Requires:	gstreamer-0_10-plugins-base
%else
Requires:	gstreamer010
Requires:	gstreamer010-plugins-base
%endif
%if 0%{?suse_version} >= 1030
# Name up to 10.3:
Provides:	gstreamer010-schroedinger = 1.0.0
Obsoletes:	gstreamer010-schroedinger <= 1.0.0
%endif

%if 0%{?suse_version} >= 1030
%description -n gstreamer-0_10-schroedinger
%else
%description -n gstreamer010-schroedinger
%endif
libschroedinger - gstreamer-plugin.
%endif

%debug_package
%prep
%setup -q -n schroedinger-%{version}
%{?suse_update_config:%{suse_update_config}}

%build
%configure \
	--prefix=%{_prefix} \
	--enable-gtk-doc \
	--with-html-dir=%{_docdir}/libschroedinger-devel \
	--enable-shared

# testsuite and tools didn't compile :(
%__sed -i -e 's|testsuite||g' \
	Makefile
%__sed -i -e 's|tools||g' \
	Makefile

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%if %with_gst
%__rm -f %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.la
%__rm -f %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.a
%endif
%__rm -f %{buildroot}%{_libdir}/lib*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING COPYING.* NEWS TODO
%{_libdir}/lib*.so.*

%files -n libschroedinger-devel
%defattr(-,root,root)
%doc %{_docdir}/libschroedinger-devel
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/schroedinger-*.pc
%{_includedir}/*

%if %with_gst
%if 0%{?suse_version} >= 1030
%files -n gstreamer-0_10-schroedinger
%else
%files -n gstreamer010-schroedinger
%endif
%defattr(-,root,root)
%doc COPYING COPYING.*
%{_libdir}/gstreamer-%{gst_branch}/libgstschro.so
%endif

%changelog
* Sun Jun 28 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.7-15
- update to release 1.0.7
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 1.0.5-5
- initial import
